interface Props {
  readonly name: string;
  readonly bought: boolean;
  readonly setBought: Function;
}

function Item({ name, bought, setBought }: Props) {
  return (
    <div className="card w-96 bg-neutral text-neutral-content">
      <div className="card-body items-center text-center">
        <h2 className="card-title">{name}</h2>
        <div className="card-actions justify-end">
          <input
            type="checkbox"
            className="toggle toggle-primary"
            checked={bought}
            onChange={() => setBought()}
          />
        </div>
      </div>
    </div>
  );
}

export default Item;
